namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;
    using Eco.Gameplay.Pipes.LiquidComponents; 

    [RequiresSkill(typeof(MillProcessingSkill), 3)]   
    public partial class BioseeddieselRecipe : Recipe
    {
        public BioseeddieselRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<BiodieselItem>(),          
            };
            this.Ingredients = new CraftingElement[]
            {
				new CraftingElement<WheatSeedItem>(typeof(MillProcessingEfficiencySkill), 50, MillProcessingEfficiencySkill.MultiplicativeStrategy),
				new CraftingElement<HuckleberrySeedItem>(typeof(MillProcessingEfficiencySkill), 50, MillProcessingEfficiencySkill.MultiplicativeStrategy),
				new CraftingElement<TomatoSeedItem>(typeof(MillProcessingEfficiencySkill), 50, MillProcessingEfficiencySkill.MultiplicativeStrategy),
				new CraftingElement<CornSeedItem>(typeof(MillProcessingEfficiencySkill), 50, MillProcessingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(BioseeddieselRecipe), Item.Get<BiodieselItem>().UILink(), 10, typeof(MillProcessingSpeedSkill));    
            this.Initialize("Biodiesel", typeof(BioseeddieselRecipe));

            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }
}